# $Revision: 1.105 $, $Date: 2006-09-08 18:03:19 $
#
# Conditional build:
%bcond_without	hidups			# experimental hidups driver
#
Summary:	Network UPS Tools
Summary(pl):	Sieciowe narzdzie do UPS-w
Name:		nut
Version:	2.0.4
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://eu1.networkupstools.org/source/2.0/%{name}-%{version}.tar.gz
# Source0-md5:	59b6f3038a5ef64c584913e72bd850a2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-upsmon.init
Source4:	%{name}.sysconfig.upsmon
Patch0:		%{name}-client.patch
Patch1:		%{name}-datadir.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-smartdp-load.patch
URL:		http://www.networkupstools.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gd-devel >= 2.0.15
BuildRequires:	libpng-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	smartupstools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ups

%description
These programs are part of a developing project to monitor the
assortment of UPSes that are found out there in the field. Many models
have serial serial ports of some kind that allow some form of state
checking. This capability has been harnessed where possible to allow
for safe shutdowns, live status tracking on web pages, and more.

%description -l pl
Te programy s czci projektu do monitorowania wielu UPS-w w jakim
otoczeniu. Wiele modeli ma porty szeregowe i pozwala na jak form
sprawdzania stanu. Ta funkcjonalno pozwala na bezpieczne
zatrzymywanie systemw, sprawdzanie stanu zasilania przez WWW i inne.

%description -l ru
  -      UPS.  
   ,    
UPS.    ,   , 
   ,  
   ..

%description -l uk
      Φ ҦΦ UPS.
   ҦΦ ,   צ  
UPS.  צ  ,   ,  
  'Ҧ, צ̦   ,
.

%package common
Summary:	Package with common files for nut daemon and its clients
Summary(pl):	Pakiet z plikami wsplnymi dla demona nut i jego klientw
Group:		Applications/System
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Provides:	group(ups)
Provides:	user(ups)

%description common
Package with common files for nut daemon and its clients.

%description common -l pl
Pakiet z plikami wsplnymi dla demona nut i jego klientw.

%package client
Summary:	Multi-vendor UPS Monitoring Project Client Utilities
Summary(pl):	Narzdzia klienckie do monitorowania UPS-w
Summary(ru):	Network UPS Tools -   
Summary(uk):	Network UPS Tools - ̦˦ ̦ Φ
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts

%description client
This package includes the client utilities that are required to
monitor a UPS that the client host is plugged into but monitored via
serial cable by another host on the network....

%description client -l pl
Ten pakiet zawiera narzdzia kliencie potrzebne do monitorowania UPS-a
do ktrego podczony jest komputer kliencki, kiedy kabel szeregowy
UPS-a jest podczony do innego komputera w sieci.

%description client -l ru
    ,   
UPS,      ,  UPS 
     .

%description client -l uk
   ̦˦ ̦, ҦΦ  Φ UPS, 
 ̦   ,  UPS Ʀ Ц 
 '  ֦.

%package cgi
Summary:	Multi-vendor UPS Monitoring Project Server - CGI utils
Summary(pl):	Narzdzia CGI do monitorowania UPS-w
Summary(ru):	Network UPS Tools - CGI 
Summary(uk):	Network UPS Tools - CGI ̦
Group:		Applications/System
Requires:	%{name}-common = %{version}-%{release}

%description cgi
These programs are part of a developing project to monitor the
assortment of UPSes that are found out there in the field. Many models
have serial serial ports of some kind that allow some form of state
checking. This capability has been harnessed where possible to allow
for safe shutdowns, live status tracking on web pages, and more. This
package contains CGI utils.

%description cgi -l pl
Te programy s czci projektu do monitorowania wielu UPS-w w jakim
otoczeniu. Wiele modeli ma porty szeregowe i pozwala na jak form
sprawdzania stanu. Ta funkcjonalno pozwala na bezpieczne
zatrzymywanie systemw, sprawdzanie stanu zasilania przez WWW i inne.
Ten pakiet zawiera narzdzia CGI.

%description cgi -l ru
   CGI       
UPS  -.

%description cgi -l uk
   CGI     æ  
UPS  -.

%package devel
Summary:	Files for NUT clients development
Summary(pl):	Pliki do tworzenia klientw NUT-a
Group:		Development/Libraries
Requires:	openssl-devel >= 0.9.7c
# it does NOT require nut

%description devel
Object file and header for developing NUT clients.

%description devel -l pl
Plik wynikowy oraz nagwek suce do tworzenia klientw NUT-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
LDFLAGS="-L%{_prefix}/X11R6/%{_lib}"; export LDFLAGS
%configure \
	%{?with_hidups:--with-linux-hiddev} \
	--with-ssl \
	--with-cgi \
	--with-linux-hiddev=%{_includedir}/linux/hiddev.h \
	--with-statepath=%{_var}/lib/ups \
	--with-drvpath=/lib/nut \
	--with-cgipath=/home/services/httpd/cgi-bin \
	--with-user=ups \
	--with-group=ups
%{__make} all cgi
%{?with_hidups:%{__make} build-usb}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,/etc/{sysconfig,rc.d/init.d},/var/lib/ups} \
	$RPM_BUILD_ROOT{/lib/nut,%{_libdir},%{_includedir}/nut}

%{__make} install install-cgi \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ups
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ups
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/upsmon
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/upsmon

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/*
install conf/*.users conf/*.conf conf/*.html $RPM_BUILD_ROOT%{_sysconfdir}

install clients/upsclient.o common/parseconf.o $RPM_BUILD_ROOT%{_libdir}
install clients/upsclient.h include/parseconf.h $RPM_BUILD_ROOT%{_includedir}/nut

%{?with_hidups:install drivers/hidups $RPM_BUILD_ROOT/lib/nut}
%{?with_hidups:install drivers/newhidups $RPM_BUILD_ROOT/lib/nut}

cat > $RPM_BUILD_ROOT/sbin/poweroff-ups << EOF
#!/bin/sh
/etc/rc.d/init.d/ups powerdown
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ups
%service ups restart "NUT ups daemon"

%preun
if [ "$1" = "0" ]; then
	%service ups stop
	/sbin/chkconfig --del ups
fi

%pre common
# move to trigger?
if [ -n "`/usr/bin/getgid ups`" ] && [ "`/usr/bin/getgid ups`" = 121 ]; then
	/usr/sbin/groupmod -g 76 ups
	chgrp ups %{_sysconfdir}/{upsd.conf,ups.conf,upsd.users}
	/usr/sbin/usermod -g 76 ups
fi
%groupadd -g 76 ups
%useradd -u 70 -d /usr/share/empty -s /bin/false -c "UPS Manager User" -g ups ups

%post client
/sbin/chkconfig --add upsmon
%service upsmon restart "NUT upsmon daemon"

%preun client
if [ "$1" = "0" ]; then
	%service upsmon stop
	/sbin/chkconfig --del upsmon
fi

%postun common
if [ "$1" = "0" ]; then
	%userremove ups
	%groupremove ups
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/upscmd
%attr(755,root,root) %{_bindir}/upslog
%attr(755,root,root) %{_bindir}/upsrw
%attr(755,root,root) %{_sbindir}/upsd
%attr(755,root,root) /sbin/poweroff-ups
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ups
%attr(754,root,root) /etc/rc.d/init.d/ups
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsd.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ups.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsd.users
%{_mandir}/man5/ups.conf.5*
%{_mandir}/man5/upsd.conf.5*
%{_mandir}/man5/upsd.users.5*
%{_mandir}/man8/[!u]*.8*
%{_mandir}/man8/upscmd.8*
%{_mandir}/man8/upscode2.8*
%{_mandir}/man8/upsd.8*
%{_mandir}/man8/upsdrvctl.8*
%{_mandir}/man8/upslog.8*
%{_mandir}/man8/upsrw.8*
%dir %attr(770,root,ups) /var/lib/ups
%dir /lib/nut
%attr(755,root,root) /lib/nut/*
%{_datadir}/nut

%files common
%defattr(644,root,root,755)
%doc NEWS README CHANGES CREDITS docs
%dir %{_sysconfdir}

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/upsc
%attr(755,root,root) %{_sbindir}/upsmon
%attr(755,root,root) %{_sbindir}/upssched
%attr(755,root,root) %{_sbindir}/upssched-cmd
%attr(754,root,root) /etc/rc.d/init.d/upsmon
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsmon.conf
%attr(640,root,ups) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upssched.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/upsmon
%{_mandir}/man5/upsmon.conf.5*
%{_mandir}/man5/upssched.conf.5*
%{_mandir}/man8/upsc.8*
%{_mandir}/man8/upsmon.8*
%{_mandir}/man8/upssched.8*

%files cgi
%defattr(644,root,root,755)
%attr(755,root,root) /home/services/httpd/cgi-bin/*.cgi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hosts.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/upsset.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.html
%{_mandir}/man5/hosts.conf.5*
%{_mandir}/man5/upsset.conf.5*
%{_mandir}/man5/upsstats.html.5*
%{_mandir}/man8/upsimage.cgi.8*
%{_mandir}/man8/upsset.cgi.8*
%{_mandir}/man8/upsstats.cgi.8*

%files devel
%defattr(644,root,root,755)
%{_libdir}/upsclient.o
%{_libdir}/parseconf.o
%{_includedir}/nut

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nut.spec,v $
Revision 1.105  2006-09-08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.104  2006/07/28 18:08:41  paszczus
- updated to 2.0.4

Revision 1.103  2006/06/21 13:44:08  mwinkler
- with hidups also install newhidups, hidups will be removed by nut 2.2

Revision 1.102  2006/04/15 13:06:39  glen
- rel 2

Revision 1.101  2006/03/06 18:16:42  glen
- use %service, adapterized, cosmetics

Revision 1.100  2006/02/16 14:07:42  dzeus
- up to 2.0.3

Revision 1.99  2006/01/02 16:52:30  baggins
- release 3
- recognize '\' for power load on some APC UPSes

Revision 1.98  2005/10/26 07:47:45  qboosh
- reordered scripts

Revision 1.97  2005/10/25 21:17:00  zawadaa
- upsmon (nut-client) needs ups user! - ups usera moved to nut-common
- STBR?

Revision 1.96  2005/09/13 10:55:09  zawadaa
- up to 2.0.2
- PreReq -> Req rc-scripts

Revision 1.95  2005/05/18 13:21:50  qboosh
- removed obsolete everups info from descs

Revision 1.94  2005/05/18 13:18:03  qboosh
- updated to final 2.0.1, release 8
- sorted verify() flags

Revision 1.93  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.92  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.91  2004/11/16 09:19:57  krzak
- added /etc/sysconfig/upsmon to customize options of upsmon daemon
- rel 7

Revision 1.90  2004/11/11 15:38:04  havner
- rel 6

Revision 1.89  2004/11/11 10:28:44  paszczus
- fixed for inverted bcond hidups ; make hidups changed to make build-usb

Revision 1.88  2004/11/11 04:25:28  havner
- hidups bcond inverted

Revision 1.87  2004/11/01 08:54:45  orzech
- fixed ups user's gid
- rel.4, STBR

Revision 1.86  2004/10/26 10:01:21  krzak
- rel 3

Revision 1.85  2004/10/26 09:57:41  krzak
- config.patch fit default configuration to installation

Revision 1.84  2004/10/13 23:20:40  ankry
- %userremove/%groupremove support, standardized, GID changed

Revision 1.83  2004/10/07 08:23:44  paszczus
- updated to 2.0.1-pre4
- removed Patch2 (already in sources)
- release 2

Revision 1.82  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.81  2004/07/07 17:12:11  qboosh
- formatting, removed obsolete bcond

Revision 1.80  2004/07/06 23:13:55  hunter
- -out Source4, in patch2

Revision 1.79  2004/07/06 16:35:58  blues
- remove double install

Revision 1.78  2004/05/28 16:43:31  qboosh
- updated URL, strict internal deps

Revision 1.77  2004/05/28 16:14:52  ciesiel
- revert # for new ever driver

Revision 1.76  2004/05/28 16:04:38  ciesiel
- upgraded to version 2.0.0

Revision 1.75  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.74  2004/04/18 18:36:34  mwinkler
- bcond experimental hidups driver, everups is broken
- rel .3

Revision 1.73  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.72  2004/02/04 13:56:57  jajcus
- Release: 2
- AMD64 fixes: config.sub refreshed and /usr/X11R6/lib changed to /usr/X66R6/%{_lib}

Revision 1.71  2003/12/18 23:02:20  undefine
- update to 1.4.1

Revision 1.70  2003/11/14 09:48:27  jajcus
- Release: 4 (in Ra is 3)

Revision 1.69  2003/11/14 09:16:57  jajcus
- Release: 2
- use group "ups" (gid=121) instead of ttyS, which wasn't good for eg. securing upsd socket
- install drivers in /lib/nut instead of /usr/lib/nut - they must be accessible after all filesystems (except /) are unmounted
- new_everups_driver conditional off by default - this driver doesn't build with this nut version
- init script updated, so /sbin/poweroff-ups really works

Revision 1.68  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.67  2003/09/14 21:16:56  blues
- (finally) killed nobody as file/dir owner. Completelly not tested...

Revision 1.66  2003/09/08 20:35:22  orzech
- cosmetics

Revision 1.65  2003/09/08 20:34:41  hunter
- typo, use protocol name in source

Revision 1.64  2003/09/08 20:28:56  ankry
- typo, don't use distfiles for .c files

Revision 1.63  2003/09/08 20:20:34  hunter
- don't bcond sources.

Revision 1.62  2003/09/08 20:19:43  hunter
-added 3rd party gpl driver for newer upses from Ever.

Revision 1.61  2003/08/07 12:25:16  qboosh
- added more files to -devel (needed for upsclient.[oh])
- release 1.2

Revision 1.60  2003/08/01 15:42:17  arekm
- place nut files in /usr/share/nut

Revision 1.59  2003/08/01 14:31:00  arekm
- updated to 1.4.0

Revision 1.58  2003/07/21 20:36:57  adamg
- updated to 1.2.3

Revision 1.57  2003/06/03 19:26:31  malekith
- revert testing df

Revision 1.56  2003/06/03 19:23:51  malekith
- testing df again; sorry

Revision 1.55  2003/06/03 19:06:53  malekith
- reverted testing

Revision 1.54  2003/06/03 18:47:54  malekith
- forgive me: testing distfiles

Revision 1.53  2003/05/27 02:39:29  malekith
- source-md5 (testing auto-fetching)

Revision 1.52  2003/05/25 05:51:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/05/08 21:23:42  misiek
- updated to 1.2.2

Revision 1.50  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.49  2003/02/06 21:05:24  qboosh
- moved /etc/ups dir and %doc to -common subpackage
- moved manuals to proper subpackages
- added verify() for config files

Revision 1.48  2003/01/25 00:37:25  misiek
- added /sbin/poweroff-ups

Revision 1.47  2003/01/17 12:39:12  orzech
- up to 1.2.1
- added missing /etc/nut
- fideltronik.patch obsolete

Revision 1.46  2003/01/05 22:54:54  qboosh
- -devel is back (but now files are named upsclient* not upsfetch*)

Revision 1.45  2002/11/27 22:57:13  misiek
- include html templates

Revision 1.44  2002/11/27 22:50:42  misiek
- updated to 1.2.0

Revision 1.43  2002/10/28 10:10:22  orzech
- fixed broken init
- rel. 5, STBR

Revision 1.42  2002/10/09 13:37:28  orzech
- fixed init script
- rel.3, STBR

Revision 1.41  2002/09/16 22:21:37  orzech
- fideltronik patch fixed, now works

Revision 1.40  2002/09/16 10:53:19  orzech
- trying to get nut working with Fideltronik Ares, need testing
- adaterized

Revision 1.39  2002/08/22 02:39:50  kloczek
- merge translations from KSI and adapterize spec file.

Revision 1.38  2002/08/21 11:34:45  misiek
- merged DEVEL

Revision 1.37.2.4  2002/08/20 13:32:22  misiek
- 1.0.0 version, yeay

Revision 1.37.2.3  2002/08/16 15:53:35  misiek
- updated to 0.99.2

Revision 1.37.2.2  2002/08/16 11:44:15  misiek
- allow ups.conf to be read bu nobodu group

Revision 1.37.2.1  2002/08/13 17:54:18  misiek
- 0.99 series

Revision 1.37  2002/05/21 23:14:16  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/05/04 21:44:26  qboosh
- added -devel (static object + header file) for NUT clients
- release 3

Revision 1.35  2002/04/12 18:44:47  kloczek
- updated to 0.45.5 (many bugfixes).

Revision 1.34  2002/04/12 10:50:59  roman
- moved all ups driver programs to /usr/lib/nut (to avoid conflicts with package sms)
- raised release number
- STBR

Revision 1.33  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/24 05:58:10  kloczek
- release 2.

Revision 1.30  2002/01/22 13:06:14  ankry
- added Obsoletes: smartupstools

Revision 1.29  2002/01/18 02:14:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/22 12:05:16  zagrodzki
- updated to 0.45.2
- STB

Revision 1.27  2001/09/25 10:39:33  qboosh
- remaining pl description

Revision 1.26  2001/09/25 09:56:37  qboosh
- release 4: base and -client Prereq: /sbin/chkconfig

Revision 1.25  2001/09/04 13:03:06  zagrodzki
- added all configuration files

Revision 1.24  2001/08/28 11:38:47  zagrodzki
- rel 2
- updated all sysconfig and init files
- fixed UID/GID in ./configure (now nobody/ttyS)

Revision 1.23  2001/08/22 00:42:45  kloczek
- updated to 0.45.1,
- removed obsoleted patches,
- updated %files list.

Revision 1.22  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/07/19 01:26:55  kloczek
- release 3,
- merge some rawhide patches,
- fix ac (remove all silly thing from try find libgd),
- regenerate ac files (spec is ac 2.5x ready),
- rebuild against gd 2.0.1.

Revision 1.19  2001/07/03 07:09:57  kloczek
- release 1,
- Prereq for chkconfig changed to rc-scripts,
- cosmetics.

Revision 1.18  2001/07/02 15:04:59  bszx
- updated to 0.45.0
- added driver for UPS EVER

Revision 1.17  2001/04/04 19:57:29  kloczek
- release 2: spec adapterized.

Revision 1.16  2001/02/20 15:19:24  mkierus
- fix some error paths from %{_bindir} to %{_sbindir} (upsd upsmon upssched)

Revision 1.15  2001/01/17 11:08:48  kloczek
- updated to 0.44.2.

Revision 1.14  2000/12/22 06:30:36  kloczek
- updated to 0.44.1,
- added gzipping %doc,
- added powercom.8 to main,
- correct saparation betwwen main servvice files and clintent subpackage
  (now client subpackage is not required by main package),
- added Require nut by cgi subpackage,
- added DESTDIR style install (DESTDIR patch added too),
- fixed %post/%preun scripts and removed fileutils fron Prereq,
- 755 on cgi files,
- added BuidRequires rules.

Revision 1.13  2000/12/21 15:12:37  baggins
- updated to 0.43.2

Revision 1.12  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.11  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.10  2000/09/29 12:09:51  yaro
- added PLD-like init

Revision 1.9  2000/09/29 10:34:41  yaro
- fixed conf dir (was /etc/ups/ups/)
- moved cgi to cgi-bin

Revision 1.8  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.6  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.5  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/02/07 23:38:49  kloczek
- more work:
  - package name nocgi changed to cgi and moved to them cgi scripts,
  - updated to 0.43.0,
  - full %attr description in %files.
- still NFY.

Revision 1.2  2000/02/07 02:04:16  kloczek
- partialy rewrited .. not finished yet.
